/*
 * Options.h
 *
 *      Author: Trax
 */

#ifndef SCREENS_H_
#define SCREENS_H_

typedef struct {
	const char c[3];
	volatile uint8_t Port;
	const uint8_t DefPort;
	const uint8_t IO;
} tLCDPins;

#define RS 0
#define EN 1
#define D4 2
#define D5 3
#define D6 4
#define D7 5
#define SL 6
#define SR 7

typedef struct
{
	char* L[4];
	uint16_t Action;
} tScreen;

const char* GetLCDPin(uint8_t Port);

uint8_t GetLCDSupport();
void SetLCDSupport(uint8_t LCD);

uint8_t GetLCDPort(uint8_t Port);

uint8_t GetLCDLines();
void SetLCDLines(uint8_t Lines);
char* GetLCDPinID(uint8_t Pin);
void SetLCDPin(uint8_t Pin, uint8_t Port);
uint16_t GetLCDAuto();
void SetLCDAuto(uint16_t Auto);

uint8_t GetScrCount();

char* GetScr(uint8_t i, uint8_t j);
void SetScr(uint8_t i, uint8_t j, const char* Scr);
uint8_t GetScrAction(uint8_t i);
void SetScrAction(uint8_t i, uint8_t Action);
void AddScreen();
void UpScreen(uint8_t i);
void RemoveScreen(uint8_t i);
void DownScreen(uint8_t i);

void LockIndex();
void InitScreen();
void CheckSwitch();
void SwitchPage();

#endif /* SCREENS_H_ */
